DefaultInboundEndpoint (Mule ESB 2.2.1 API)
Keywords: org.mule.endpoint.DefaultInboundEndpoint class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.endpoint
Class DefaultInboundEndpoint

    java.lang.Object
      org.mule.endpoint.AbstractEndpoint
          org.mule.endpoint.DefaultInboundEndpoint

All Implemented Interfaces:
  Serializable, ImmutableEndpoint, InboundEndpoint, MessageRequesting

    public class DefaultInboundEndpoint

extends AbstractEndpoint
implements InboundEndpoint

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mule.endpoint.AbstractEndpoint
`logger, retryPolicyTemplate`

Fields inherited from interface org.mule.api.endpoint.ImmutableEndpoint
`INITIAL_STATE_STARTED, INITIAL_STATE_STOPPED`

Fields inherited from interface org.mule.api.transport.MessageRequesting
`REQUEST_NO_WAIT, REQUEST_WAIT_INDEFINITELY`

Constructor Summary
`DefaultInboundEndpoint(Connector connector, EndpointURI endpointUri, List transformers, List responseTransformers, String name, Map properties, TransactionConfig transactionConfig, Filter filter, boolean deleteUnacceptedMessage, EndpointSecurityFilter securityFilter, boolean synchronous, int responseTimeout, String initialState, String endpointEncoding, String endpointBuilderName, MuleContext muleContext, RetryPolicyTemplate retryPolicyTemplate)`

Method Summary
`MuleMessage` | `request(long timeout)` Make a specific request to the underlying transport

Methods inherited from class org.mule.endpoint.AbstractEndpoint
`equal, equals, getConnector, getEncoding, getEndpointBuilderName, getEndpointURI, getFilter, getInitialState, getMuleContext, getName, getProperties, getProperty, getProtocol, getResponseTimeout, getResponseTransformers, getRetryPolicyTemplate, getSecurityFilter, getTransactionConfig, getTransformers, hashCode, isDeleteUnacceptedMessages, isReadOnly, isSynchronous, toString, updateTransformerEndpoints`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.endpoint.ImmutableEndpoint
`getConnector, getEncoding, getEndpointBuilderName, getEndpointURI, getFilter, getInitialState, getMuleContext, getName, getProperties, getProperty, getProtocol, getResponseTimeout, getResponseTransformers, getRetryPolicyTemplate, getSecurityFilter, getTransactionConfig, getTransformers, isDeleteUnacceptedMessages, isReadOnly, isSynchronous`

Constructor Detail

### DefaultInboundEndpoint

    public DefaultInboundEndpoint(Connector connector,
                                  EndpointURI endpointUri,
                                  List transformers,
                                  List responseTransformers,
                                  String name,
                                  Map properties,
                                  TransactionConfig transactionConfig,
                                  Filter filter,
                                  boolean deleteUnacceptedMessage,
                                  EndpointSecurityFilter securityFilter,
                                  boolean synchronous,
                                  int responseTimeout,
                                  String initialState,
                                  String endpointEncoding,
                                  String endpointBuilderName,
                                  MuleContext muleContext,
                                  RetryPolicyTemplate retryPolicyTemplate)

Method Detail

### request

    public MuleMessage request(long timeout)
                        throws Exception

  Description copied from interface: `MessageRequesting`
  Make a specific request to the underlying transport

  Specified by:
    `request` in interface `MessageRequesting`
  Parameters:
    `timeout` - the maximum time the operation should block before returning. The call should return immediately if there is data available. If no data becomes available before the timeout elapses, null will be returned
  Returns:
    the result of the request wrapped in a MuleMessage object. Null will be returned if no data was avaialable
  Throws:
    `Exception` - if the call to the underlying protocal causes an exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.